Create Identity Verification Check
curl --request POST \
--url https://api.prod.bastion.com/v2/identities/{identity_id}/id_verification \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"redirect_url": "<string>",
"reason": "ONBOARDING",
"request_id": "<string>",
"labels": [
"<string>"
]
}
'import requests
url = "https://api.prod.bastion.com/v2/identities/{identity_id}/id_verification"
payload = {
"redirect_url": "<string>",
"reason": "ONBOARDING",
"request_id": "<string>",
"labels": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
redirect_url: '<string>',
reason: 'ONBOARDING',
request_id: '<string>',
labels: ['<string>']
})
};
fetch('https://api.prod.bastion.com/v2/identities/{identity_id}/id_verification', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
redirect_url: '<string>',
reason: 'ONBOARDING',
request_id: '<string>',
labels: ['<string>']
})
};
fetch('https://api.prod.bastion.com/v2/identities/{identity_id}/id_verification', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.prod.bastion.com/v2/identities/{identity_id}/id_verification"
payload := strings.NewReader("{\n \"redirect_url\": \"<string>\",\n \"reason\": \"ONBOARDING\",\n \"request_id\": \"<string>\",\n \"labels\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.prod.bastion.com/v2/identities/{identity_id}/id_verification")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"redirect_url\": \"<string>\",\n \"reason\": \"ONBOARDING\",\n \"request_id\": \"<string>\",\n \"labels\": [\n \"<string>\"\n ]\n}")
.asString();val client = OkHttpClient()
val mediaType = MediaType.parse("application/json")
val body = RequestBody.create(mediaType, "{\n \"redirect_url\": \"<string>\",\n \"reason\": \"ONBOARDING\",\n \"request_id\": \"<string>\",\n \"labels\": [\n \"<string>\"\n ]\n}")
val request = Request.Builder()
.url("https://api.prod.bastion.com/v2/identities/{identity_id}/id_verification")
.post(body)
.addHeader("Authorization", "Bearer <token>")
.addHeader("Content-Type", "application/json")
.build()
val response = client.newCall(request).execute()falseimport Foundation
let parameters = [
"redirect_url": "<string>",
"reason": "ONBOARDING",
"request_id": "<string>",
"labels": ["<string>"]
] as [String : Any?]
let postData = try JSONSerialization.data(withJSONObject: parameters, options: [])
let url = URL(string: "https://api.prod.bastion.com/v2/identities/{identity_id}/id_verification")!
var request = URLRequest(url: url)
request.httpMethod = "POST"
request.timeoutInterval = 10
request.allHTTPHeaderFields = [
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
]
request.httpBody = postData
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))using RestSharp;
var options = new RestClientOptions("https://api.prod.bastion.com/v2/identities/{identity_id}/id_verification");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"redirect_url\": \"<string>\",\n \"reason\": \"ONBOARDING\",\n \"request_id\": \"<string>\",\n \"labels\": [\n \"<string>\"\n ]\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
require 'uri'
require 'net/http'
url = URI("https://api.prod.bastion.com/v2/identities/{identity_id}/id_verification")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"redirect_url\": \"<string>\",\n \"reason\": \"ONBOARDING\",\n \"request_id\": \"<string>\",\n \"labels\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"id_verification_check": {
"id": "<string>",
"identity_id": "<string>",
"verification_url": "<string>",
"reason": "ONBOARDING",
"request_id": "<string>",
"redirect_url": "<string>",
"status": "IN_PROGRESS",
"created_at": "2023-01-15T01:30:15.01Z",
"updated_at": "2023-01-15T01:30:15.01Z",
"labels": [
"<string>"
]
}
}Identity Verification
Create Identity Verification Check
Create an identity verification check for an individual identity.
POST
/
v2
/
identities
/
{identity_id}
/
id_verification
Create Identity Verification Check
curl --request POST \
--url https://api.prod.bastion.com/v2/identities/{identity_id}/id_verification \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"redirect_url": "<string>",
"reason": "ONBOARDING",
"request_id": "<string>",
"labels": [
"<string>"
]
}
'import requests
url = "https://api.prod.bastion.com/v2/identities/{identity_id}/id_verification"
payload = {
"redirect_url": "<string>",
"reason": "ONBOARDING",
"request_id": "<string>",
"labels": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
redirect_url: '<string>',
reason: 'ONBOARDING',
request_id: '<string>',
labels: ['<string>']
})
};
fetch('https://api.prod.bastion.com/v2/identities/{identity_id}/id_verification', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
redirect_url: '<string>',
reason: 'ONBOARDING',
request_id: '<string>',
labels: ['<string>']
})
};
fetch('https://api.prod.bastion.com/v2/identities/{identity_id}/id_verification', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.prod.bastion.com/v2/identities/{identity_id}/id_verification"
payload := strings.NewReader("{\n \"redirect_url\": \"<string>\",\n \"reason\": \"ONBOARDING\",\n \"request_id\": \"<string>\",\n \"labels\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.prod.bastion.com/v2/identities/{identity_id}/id_verification")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"redirect_url\": \"<string>\",\n \"reason\": \"ONBOARDING\",\n \"request_id\": \"<string>\",\n \"labels\": [\n \"<string>\"\n ]\n}")
.asString();val client = OkHttpClient()
val mediaType = MediaType.parse("application/json")
val body = RequestBody.create(mediaType, "{\n \"redirect_url\": \"<string>\",\n \"reason\": \"ONBOARDING\",\n \"request_id\": \"<string>\",\n \"labels\": [\n \"<string>\"\n ]\n}")
val request = Request.Builder()
.url("https://api.prod.bastion.com/v2/identities/{identity_id}/id_verification")
.post(body)
.addHeader("Authorization", "Bearer <token>")
.addHeader("Content-Type", "application/json")
.build()
val response = client.newCall(request).execute()falseimport Foundation
let parameters = [
"redirect_url": "<string>",
"reason": "ONBOARDING",
"request_id": "<string>",
"labels": ["<string>"]
] as [String : Any?]
let postData = try JSONSerialization.data(withJSONObject: parameters, options: [])
let url = URL(string: "https://api.prod.bastion.com/v2/identities/{identity_id}/id_verification")!
var request = URLRequest(url: url)
request.httpMethod = "POST"
request.timeoutInterval = 10
request.allHTTPHeaderFields = [
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
]
request.httpBody = postData
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))using RestSharp;
var options = new RestClientOptions("https://api.prod.bastion.com/v2/identities/{identity_id}/id_verification");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"redirect_url\": \"<string>\",\n \"reason\": \"ONBOARDING\",\n \"request_id\": \"<string>\",\n \"labels\": [\n \"<string>\"\n ]\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
require 'uri'
require 'net/http'
url = URI("https://api.prod.bastion.com/v2/identities/{identity_id}/id_verification")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"redirect_url\": \"<string>\",\n \"reason\": \"ONBOARDING\",\n \"request_id\": \"<string>\",\n \"labels\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"id_verification_check": {
"id": "<string>",
"identity_id": "<string>",
"verification_url": "<string>",
"reason": "ONBOARDING",
"request_id": "<string>",
"redirect_url": "<string>",
"status": "IN_PROGRESS",
"created_at": "2023-01-15T01:30:15.01Z",
"updated_at": "2023-01-15T01:30:15.01Z",
"labels": [
"<string>"
]
}
}Authorizations
Bearer authentication with an API token
Path Parameters
Unique identifier of the identity to verify
Body
application/json
URL to redirect the user to after completing identity verification
Reason for the identity verification check
Available options:
IDV_CHECK_REASON_UNSPECIFIED, ONBOARDING, ACCOUNT_RECOVERY, RFI Example:
"ONBOARDING"
Client-provided idempotency key
Labels to associate with this identity verification check
Response
Success
The created identity verification check
Show child attributes
Show child attributes